# DROP DESCRIPTOR\_SOURCE

## Syntax

```sql
DROP DESCRIPTOR_SOURCE descriptor_source_name;
```

## Description

Permanently removes all [descriptors](/reference/sql-syntax/data-format-serialization.md#protocol-buffers-and-descriptors) that were imported from a [descriptor source](/reference/sql-syntax/data-format-serialization.md#protocol-buffers-and-descriptors).

{% hint style="warning" %}
**Important** `DROP DESCRIPTOR_SOURCE` cannot be undone. Use it with care!
{% endhint %}

### Arguments

#### descriptor\_source\_name

Name of the descriptor source to remove of its corresponding descriptors. If the name is case-sensitive, you must wrap it in double quotes; otherwise, the system uses the lower case name.

## Examples

#### Drop a descriptor source

The following demonstrates that when the descriptor source `pageviews` is dropped, the descriptors `pageviews.PageviewsKey` and `pageviews.Pageviews` that were extracted from it are also removed from the system:

```sh
demodb.public/demostore# LIST DESCRIPTORS;
+------------+--------------+------------+------------+-------------------------------+-------------------------------+
|  Name      |  Source Name |  Type      |  Owner     |  Created At                   |  Updated At                   |
+============+==============+============+============+===============================+===============================+
| StaffKey   | employee     | protobuf   | sysadmin   | 2024-06-04 20:46:44 +0000 UTC | 2024-06-04 20:46:44 +0000 UTC |
+------------+--------------+------------+------------+-------------------------------+-------------------------------+
| Manager    | employee     | protobuf   | sysadmin   | 2024-06-04 20:46:44 +0000 UTC | 2024-06-04 20:46:44 +0000 UTC |
+------------+--------------+------------+------------+-------------------------------+-------------------------------+
| Employee   | employee     | protobuf   | sysadmin   | 2024-06-04 20:46:44 +0000 UTC | 2024-06-04 20:46:44 +0000 UTC |
+------------+--------------+------------+------------+-------------------------------+-------------------------------+
| Address    | employee     | protobuf   | sysadmin   | 2024-06-04 20:46:44 +0000 UTC | 2024-06-04 20:46:44 +0000 UTC |
+------------+--------------+------------+------------+-------------------------------+-------------------------------+
demodb.public/demostore# DROP DESCRIPTOR_SOURCE employee;
+-------------------+------------+------------+------------------------------------------+
|  Type             |  Name      |  Command   |  Summary                                 |
+===================+============+============+==========================================+
| descriptor_source | employee   | DROP       | descriptor source "employee" has been    |
|                   |            |            | deleted                                  |
+-------------------+------------+------------+------------------------------------------+
demodb.public/demostore# LIST DESCRIPTORS;
+------------+--------------+------------+------------+-------------+-------------+
|  Name      |  Source Name |  Type      |  Owner     |  Created At |  Updated At |
+============+==============+============+============+=============+=============+
+------------+--------------+------------+------------+-------------+-------------+
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.deltastream.io/reference/sql-syntax/ddl/drop-descriptor_source.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
